Bug 822238 - ovirt-engine-restapi : Error when trying to retrieve role permissions
ovirt-engine-restapi : Error when trying to retrieve role permissions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ori Liel
Martina Kollarova
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 15:11 EDT by Oded Ramraz
Modified: 2016-02-10 14:33 EST (History)
8 users (show)

See Also:
Fixed In Version: si7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (86.95 KB, application/zip)
2012-05-16 16:11 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2012-05-16 15:11:03 EDT
Description of problem:

When I try to retrieve role permissions via restapi I get an error ( see steps to reproduce ):


Version-Release number of selected component (if applicable):


How reproducible:
always 

Steps to Reproduce:
1. http://loki01.eng.lab.tlv.redhat.com/view/Automation_QE_RHEVM_3.1/job/rhevm_3.1_automation_restapi/206/testReport/automation/Mla/Add_Permission_to_Role/
  
Actual results:


Expected results:


Additional info:
Comment 1 Oded Ramraz 2012-05-16 16:11:17 EDT
Created attachment 585053 [details]
engine logs
Comment 2 Michael Pasternak 2012-05-17 03:08:06 EDT
Looks like your test fails on XSD validationserror
Comment 3 Michael Pasternak 2012-05-17 03:20:19 EDT
XSD validationserror: Opening and ending tag mismatch
Comment 4 Oded Ramraz 2012-05-17 03:27:38 EDT
I see this error :
org.jboss.resteasy.spi.UnhandledException: java.lang.RuntimeException: Ambiguous inherited JAX-RS annotations applied to method: public org.ovirt.engine.api.resource.PermitsResource org.ovirt.engine.api.restapi.resource.BackendRoleResource.getPermitsResource
Comment 5 Michael Pasternak 2012-05-17 03:43:26 EDT
indeed, i just saw it as well, this is known issue caused by arch. change
few weeks ago and was handled before by Ori in other components.
Comment 6 Oded Ramraz 2012-05-17 03:52:19 EDT
Setting high priority since it fails quite few automatic tests cases and we need it for MLA automation.
Comment 8 Martina Kollarova 2012-05-30 07:34:55 EDT
In which build or git commit was this fixed?

The link with the error is broken (404), is this the same error?

http://loki01.eng.lab.tlv.redhat.com/view/Automation_QE_RHEVM_3.1/job/rhevm_3.1_automation_restapi/460/testReport/junit/automation/Mla/__000441___Add_Permission_to_Role/
Comment 9 Michael Pasternak 2012-05-30 10:16:59 EDT
hard to tell as it was indirectly fixed, pls. try on upcoming build.
Comment 10 Oded Ramraz 2012-06-17 15:59:23 EDT
Still happen on si6:

https://atom.qa.lab.tlv.redhat.com/logerror/6822/434/caseName/
Comment 11 Michael Pasternak 2012-06-18 04:18:31 EDT
org.jboss.resteasy.spi.UnhandledException: java.lang.RuntimeException: Ambiguous inherited JAX-RS annotations applied to method: public org.ovirt.engine.api.resource.PermitsResource org.ovirt.engine.api.restapi.resource.BackendRoleResource.getPermitsResource()

Ori?
Comment 12 Ori Liel 2012-06-18 10:16:43 EDT
Merged, commit 13e35f106d41b69e4462789d85dc953bedc13335

http://gerrit.ovirt.org/#/c/5433/
Comment 13 Oded Ramraz 2012-06-21 14:35:37 EDT
http://aqua-rhel.qa.lab.tlv.redhat.com:8080/api/roles/00000000-0000-0000-0001-000000000002/permits

<permits><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/1" id="1"><name>create_vm</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/2" id="2"><name>delete_vm</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/3" id="3"><name>edit_vm_properties</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/4" id="4"><name>vm_basic_operations</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/5" id="5"><name>change_vm_cd</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/6" id="6"><name>migrate_vm</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/7" id="7"><name>connect_to_vm</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/8" id="8"><name>import_export_vm</name><administrative>true</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/9" id="9"><name>configure_vm_network</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/10" id="10"><name>configure_vm_storage</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/11" id="11"><name>move_vm</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/12" id="12"><name>manipulate_vm_snapshots</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/200" id="200"><name>create_template</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/201" id="201"><name>edit_template_properties</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit><permit href="/api/roles/00000000-0000-0000-0001-000000000002/permits/202" id="202"><name>delete_template</name><administrative>false</administrative><role href="/api/roles/00000000-0000-0000-0001-000000000002" id="00000000-0000-0000-0001-000000000002"/></permit>

...


Verified si7

Note You need to log in before you can comment on or make changes to this bug.